Bug 435517 - Anaconda crashes if there's a pre-existing ext4 partition
Summary: Anaconda crashes if there's a pre-existing ext4 partition
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9Beta
TreeView+ depends on / blocked
 
Reported: 2008-02-29 21:04 UTC by Jeffrey C. Ollie
Modified: 2008-03-03 15:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-03 15:49:03 UTC


Attachments (Terms of Use)
Anaconda debug information (426.68 KB, text/plain)
2008-02-29 21:04 UTC, Jeffrey C. Ollie
no flags Details

Description Jeffrey C. Ollie 2008-02-29 21:04:17 UTC
Description of problem:
Anaconda crashes if there's a pre-existing ext4 partition.

Version-Release number of selected component (if applicable):
11.4.0.41

How reproducible:
100%

Steps to Reproduce:
1. Try and install from rawhide 20080229/anaconda 11.4.0.41 on a system that has
a pre-existing ext4 partition.
  
Actual results:
See attached anaconda debug information.

Expected results:
Install completes.

Additional info:

Comment 1 Jeffrey C. Ollie 2008-02-29 21:04:17 UTC
Created attachment 296413 [details]
Anaconda debug information

Comment 2 Jeremy Katz 2008-03-01 00:34:38 UTC
Fixed in git.  Must reserve a beating for tytso over the ext4 vs ext4dev nonsense ;)

Comment 3 Jeffrey C. Ollie 2008-03-03 15:49:03 UTC
This seems to be fixed in newer versions of Anaconda.


Note You need to log in before you can comment on or make changes to this bug.